Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trace
Class ContextStackFrame.FunctionCall

    java.lang.Object
      net.sf.saxon.trace.ContextStackFrame
          net.sf.saxon.trace.ContextStackFrame.FunctionCall

Enclosing class:
  ContextStackFrame

    public static class ContextStackFrame.FunctionCall

extends ContextStackFrame

Subclass of ContextStackFrame representing a call to a user-defined function either in XSLT or XQuery

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trace.ContextStackFrame
`ContextStackFrame.ApplyTemplates, ContextStackFrame.BuiltInTemplateRule, ContextStackFrame.CallingApplication, ContextStackFrame.CallTemplate, ContextStackFrame.ForEach, ContextStackFrame.FunctionCall, ContextStackFrame.VariableEvaluation`

Constructor Summary
`ContextStackFrame.FunctionCall()`

Method Summary
`StructuredQName` | `getFunctionName()` Get the name of the function being called
`void` | `print(java.io.PrintStream out)` Display a representation of the stack frame on the specified output stream
`void` | `setFunctionName(StructuredQName functionName)` Set the name of the function being called

Methods inherited from class net.sf.saxon.trace.ContextStackFrame
`getContainer, getContextItem, getLineNumber, getSystemId, setContainer, setContextItem, setLineNumber, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextStackFrame.FunctionCall

    public ContextStackFrame.FunctionCall()

Method Detail

### getFunctionName

    public StructuredQName getFunctionName()

  Get the name of the function being called

  Returns:
    the name of the function being called

### setFunctionName

    public void setFunctionName(StructuredQName functionName)

  Set the name of the function being called

  Parameters:
    `functionName` - the name of the function being called

### print

    public void print(java.io.PrintStream out)

  Display a representation of the stack frame on the specified output stream

  Specified by:
    `print` in class `ContextStackFrame`
  Parameters:
    `out` - the output stream

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.